Package org.apache.sysds.parser

## Class ConditionalPredicate

- java.lang.Object
- - org.apache.sysds.parser.ConditionalPredicate

- All Implemented Interfaces:
    `ParseInfo`

      public class ConditionalPredicate
      extends Object
      implements ParseInfo

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConditionalPredicate​(Expression expr)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBeginColumn()` |
    `int` | `getBeginLine()` |
    `int` | `getEndColumn()` |
    `int` | `getEndLine()` |
    `String` | `getFilename()` |
    `Expression` | `getPredicate()` |
    `String` | `getText()` |
    `void` | `setBeginColumn​(int passed)` |
    `void` | `setBeginLine​(int passed)` |
    `void` | `setEndColumn​(int passed)` |
    `void` | `setEndLine​(int passed)` |
    `void` | `setFilename​(String fname)` |
    `void` | `setPredicate​(Expression expr)` |
    `void` | `setText​(String text)` |
    `String` | `toString()` |
    `VariableSet` | `variablesRead()` |
    `VariableSet` | `variablesUpdated()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConditionalPredicate

          public ConditionalPredicate​(Expression expr)

  - ### Method Detail

    - #### getPredicate

          public Expression getPredicate()

    - #### setPredicate

          public void setPredicate​(Expression expr)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### variablesRead

          public VariableSet variablesRead()

    - #### variablesUpdated

          public VariableSet variablesUpdated()

    - #### setFilename

          public void setFilename​(String fname)

      Specified by:
        `setFilename` in interface `ParseInfo`

    - #### setBeginLine

          public void setBeginLine​(int passed)

      Specified by:
        `setBeginLine` in interface `ParseInfo`

    - #### setBeginColumn

          public void setBeginColumn​(int passed)

      Specified by:
        `setBeginColumn` in interface `ParseInfo`

    - #### setEndLine

          public void setEndLine​(int passed)

      Specified by:
        `setEndLine` in interface `ParseInfo`

    - #### setEndColumn

          public void setEndColumn​(int passed)

      Specified by:
        `setEndColumn` in interface `ParseInfo`

    - #### setText

          public void setText​(String text)

      Specified by:
        `setText` in interface `ParseInfo`

    - #### getFilename

          public String getFilename()

      Specified by:
        `getFilename` in interface `ParseInfo`

    - #### getBeginLine

          public int getBeginLine()

      Specified by:
        `getBeginLine` in interface `ParseInfo`

    - #### getBeginColumn

          public int getBeginColumn()

      Specified by:
        `getBeginColumn` in interface `ParseInfo`

    - #### getEndLine

          public int getEndLine()

      Specified by:
        `getEndLine` in interface `ParseInfo`

    - #### getEndColumn

          public int getEndColumn()

      Specified by:
        `getEndColumn` in interface `ParseInfo`

    - #### getText

          public String getText()

      Specified by:
        `getText` in interface `ParseInfo`